Bug 1171808 - rhn-migrate-classic-to-rhsm throws gaierror: [Errno -2] Name or service not known
Summary: rhn-migrate-classic-to-rhsm throws gaierror: [Errno -2] Name or service not k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1131213
Blocks: rhsm-rhel66 1172203 1172489
TreeView+ depends on / blocked
 
Reported: 2014-12-08 16:21 UTC by Adrian Likins
Modified: 2015-03-05 13:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1131213
: 1172203 1172489 (view as bug list)
Environment:
Last Closed: 2015-03-05 13:16:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0502 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2015-03-05 16:20:39 UTC

Comment 1 Adrian Likins 2014-12-08 16:25:05 UTC
Fixed in master, available in 1.13.10-1 or later.

commit fbbb7c6b23c6d798eba4513145caec24ab8316f4
Author: Chris Snyder <csnyder@csnyder.usersys.redhat.com>
Date:   Fri Aug 29 18:01:07 2014 -0400

    1131213: rhn-migrate-classic-to-rhsm now prefers --serverurl input over subman config files.

Comment 7 John Sefler 2015-01-20 20:19:50 UTC
Verifying Version....

[root@jsefler-os7 ~]# rpm -q subscription-manager-migration
subscription-manager-migration-1.13.16-1.el7.x86_64

[root@jsefler-os7 ~]# rhnreg_ks --serverUrl=https://sat-56-server.usersys.redhat.com/XMLRPC --username=admin --password=***** --norhnsd --nohardware --nopackages --novirtinfo
[root@jsefler-os7 ~]# rhn-channel --list
rhel-x86_64-server-7
[root@jsefler-os7 ~]# subscription-manager config --server.hostname=foo.redhat.com --server.port=123 --server.prefix=/bar
[root@jsefler-os7 ~]# subscription-manager config | head -5
[server]
   hostname = foo.redhat.com
   insecure = [0]
   port = 123
   prefix = /bar
[root@jsefler-os7 ~]# rhn-migrate-classic-to-rhsm --destination-url=subscription.rhn.stage.redhat.com:443/subscription
Legacy username: admin
Legacy password: 
Destination username: stage_auto_testuser
Destination password: 

Retrieving existing legacy subscription information...

+-----------------------------------------------------+
System is currently subscribed to these legacy channels:
+-----------------------------------------------------+
rhel-x86_64-server-7

+-----------------------------------------------------+
Installing product certificates for these legacy channels:
+-----------------------------------------------------+
rhel-x86_64-server-7

Product certificates installed successfully to /etc/pki/product.

Preparing to unregister system from legacy server...
System successfully unregistered from legacy server.

Attempting to register system to destination server...
The system has been registered with ID: bdbbe5c6-4d8b-49b7-ab0c-dd491966f133 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

System 'jsefler-os7.usersys.redhat.com' successfully registered.

[root@jsefler-os7 ~]# 
[root@jsefler-os7 ~]# subscription-manager config | head -5
[server]
   hostname = subscription.rhn.stage.redhat.com
   insecure = [0]
   port = [443]
   prefix = [/subscription]
[root@jsefler-os7 ~]# 


VERIFIED: Specifying the --destination-url for rhn-migrate-classic-to-rhsm will override the values set in rhsm.conf

Comment 9 errata-xmlrpc 2015-03-05 13:16:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0502.html


Note You need to log in before you can comment on or make changes to this bug.